• Even “This plugin has not been tested with your current version of WordPress v. 5.5.3”
    It works like a charm.
    Please Update!

  • You must be logged in to reply to this review.